# NOTE:
#       Since release of 2.6.18-164.6.1.el5 kernel we do NOT build it for x86_64 since as
#       it is included there ... The i686 version is for the brave only ... giving the 4K stacks
#       problems ... people should really use x86_64 if they want XFS ...

ExclusiveArch: i686

# NOTE:
#       The source tarball comes from 2.6.18-164.6.1.el5 and was obtained following way:
#       rpm -ivh kernel-2.6.18-164.6.1.el5.src.rpm
#       rpmbuild -bp ../SPECS/kernel-2.6.spec
#       cd ../BUILD ; tar -czvf xfs-sources-2.6.18-164.6.1.el5.tgz kernel-2.6.18/linux-2.6.18.i686/fs/xfs
#       If you fetch newer tarball , update next line

%define xfskernelversion 2.6.18-164.6.1.el5

%define xfssrctree kernel-2.6.18/linux-2.6.18.i686/fs/xfs/


%{?!kernel:%define kernel %(rpm -q kernel-source kernel-devel --qf "%{VERSION}-%{RELEASE}\\n" | tail -1)}



# -------------------------------------------------------------------------------------------

Summary: 	The XFS(tm) Filesystem from Silicon Graphics, Inc.
Name: 		xfs-fs
Version: 	1
Release: 	1.slc5
Epoch: 		0
Packager: 	Jaroslaw.Polok@cern.ch
License: 	GPL
URL:            http://cern.ch/linux
Vendor:         CERN
Group: 		System Environment/Kernel
Source0: 	xfs-sources-%{xfskernelversion}.tgz
Source1: 	config.xfs
# Allow the code to build as an out-of-tree module
Patch0:		xfs-ootbuild.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} )
Requires:       kernel-module-%{pkg_name} >= %{version}-%{release}
BuildRequires: 	kernel-devel = %{kernel}

%description
The XFS(tm) Filesystem from Silicon Graphics, Inc.
XFS is a highly scalable, high-performance journaling filesystem that provides 
rapid recovery from system crashes.

Kernel modules for %{name} are in kernel-module-%{pkg_name} rpms.

%package -n 	kernel-module-xfs-%{kernel}
Summary:        Kernel modules for XFS filesystem
Group:          System Environment/Kernel
License:        GPL
Provides:       kernel-module-xfs = %{epoch}:%{version}-%{release}
Provides:       kernel-module
Provides:	kernel-module-xfs
Requires:	kernel = %{kernel}

%description -n kernel-module-xfs-%{kernel}
Kernel modules for XFS filesystem

The XFS(tm) Filesystem from Silicon Graphics, Inc.
XFS is a highly scalable, high-performance journaling filesystem that provides 
rapid recovery from system crashes.


%prep 
%setup -c xfs-fs-%{version} 

pushd %{xfssrctree}

cp %{SOURCE1} .
%patch0 -p1
#patch100 -p1

%build

make -C /usr/src/kernels/%{kernel}-i686 M=$PWD/%{xfssrctree} \
	OOT_BUILD=y modules


%install

install -d -m0755 %{buildroot}/lib/modules/%{kernel}/extra/xfs/
install -m0644 %{xfssrctree}/xfs.ko %{buildroot}/lib/modules/%{kernel}/extra/xfs/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%postun -n kernel-module-xfs-%{kernel}
/sbin/depmod -ae %{kernel} >/dev/null 2>&1 || :	

%post -n kernel-module-xfs-%{kernel}
/sbin/depmod -ae %{kernel} >/dev/null 2>&1 || :


%files 
%defattr(-,root,root,-)

%files -n kernel-module-xfs-%{kernel}
%defattr(744,root,root,-)
/lib/modules/%{kernel}/extra/xfs/xfs.ko



%changelog
* Mon Nov 23 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.0
- re-made the build for i686 only using in-RHEL-kernel XFS sources
* Fri Jan 30 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- patched build for 2.6.18-128.el5 kernel
* Mon Nov 12 2007 Urs Beyerle <urs.beyerle@psi.ch> - 0.4-1
- initial source taken from centos 5 extra repo
- initial build for SL5
